import { Column, CreateDateColumn, Entity, PrimaryGeneratedColumn } from 'typeorm';

@Entity('jobs')
export class Job {

    @PrimaryGeneratedColumn()
    public id: number;

    @Column()
    public trigger: string;

    @Column({ nullable: true })
    public status?: string;

    @Column()
    public runOn: Date;

    @CreateDateColumn()
    public dateAdded: Date;

    @Column('text')
    public args: string;
}
