import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { BroadcastController } from './broadcast.controller';
import { Broadcast } from './broadcast.entity';
import { BroadcastService } from './broadcast.service';

@Module({
    imports: [TypeOrmModule.forFeature([Broadcast])],
    providers: [BroadcastService],
    controllers: [BroadcastController],
    exports: [
        TypeOrmModule
    ]
})
export class BroadcastModule {}
