import { createParamDecorator } from '@nestjs/common';
import { Request } from 'express';

import { Session } from './session.entity';

/**
 * Returns the user session of the current request.
 */
export const UserSession = createParamDecorator((data: string | undefined, req: Request): Session => {
    return req.userSession;
});
